zookeeper-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (Jira)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-3563) dependency check failing on 3.4 and 3.5 branches - CVE-2019-16869 on Netty
Date Tue, 08 Oct 2019 15:16:00 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-3563?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16946969#comment-16946969
] 

Hudson commented on ZOOKEEPER-3563:
-----------------------------------

SUCCESS: Integrated in Jenkins build Zookeeper-trunk-single-thread #566 (See [https://builds.apache.org/job/Zookeeper-trunk-single-thread/566/])
ZOOKEEPER-3563: Update Netty to 4.1.42.Final - fix license files (andor: rev 2dcb5e799ec02a2c6a6c7bad80c47169dc095271)
* (add) zookeeper-server/src/main/resources/lib/netty-buffer-4.1.42.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-codec-4.1.29.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-transport-native-epoll-4.1.42.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-transport-native-unix-common-4.1.42.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-transport-native-epoll-4.1.29.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-handler-4.1.42.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-resolver-4.1.42.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-transport-native-unix-common-4.1.29.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-buffer-4.1.29.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-transport-4.1.29.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-transport-4.1.42.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-common-4.1.42.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-handler-4.1.29.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-resolver-4.1.29.Final.LICENSE.txt
* (add) zookeeper-server/src/main/resources/lib/netty-codec-4.1.42.Final.LICENSE.txt
* (delete) zookeeper-server/src/main/resources/lib/netty-common-4.1.29.Final.LICENSE.txt


> dependency check failing on 3.4 and 3.5 branches - CVE-2019-16869 on Netty
> --------------------------------------------------------------------------
>
>                 Key: ZOOKEEPER-3563
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-3563
>             Project: ZooKeeper
>          Issue Type: Bug
>          Components: security
>    Affects Versions: 3.5.5, 3.4.14
>            Reporter: Patrick D. Hunt
>            Priority: Blocker
>              Labels: pull-request-available
>             Fix For: 3.6.0, 3.5.6
>
>          Time Spent: 3h
>  Remaining Estimate: 0h
>
> The mvn dependency check is failing on 3.4 and 3.5:
> 3.4:
> [ERROR] netty-3.10.6.Final.jar: CVE-2019-16869
> 3.5:
> [ERROR] netty-transport-4.1.29.Final.jar: CVE-2019-16869



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message